Bug Hunting Session
Bug 39711 - WMF import issues: Lines too long
Summary: WMF import issues: Lines too long
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.3.3 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-01 03:33 UTC by Tobias Burnus
Modified: 2015-04-22 13:38 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
PPT test file (404.50 KB, application/vnd.ms-powerpoint)
2012-08-15 07:10 UTC, Tobias Burnus
Details
LO 3.6 vs MS Office 2010 (83.45 KB, image/png)
2012-08-15 07:26 UTC, Florian Reisinger
Details
Bug 39711 - 4.2 master screenshot (12.21 KB, image/png)
2013-08-16 18:45 UTC, bfoman (inactive)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Burnus 2011-08-01 03:33:06 UTC
The WMF file contained in the following PPT file wrongly rendered:
  http://www.openoffice.org/nonav/issues/showattachment.cgi/48776/test.ppt

See screen shot:
  https://bugzillafiles.novell.org/attachment.cgi?id=179346

The graphic consists of two plots. The problems are the x-axis (abscissa) tics:
They should be only a few millimetres long, however, in OpenOffice they stretch
over the whole plot.


See also http://openoffice.org/bugzilla/show_bug.cgi?id=82433 and https://bugzilla.novell.com/show_bug.cgi?id=332245 (reported against 2.3 in 2007, closed as WONTFIX as upstream bug)
Comment 1 Tobias Burnus 2011-08-01 03:34:10 UTC
Sorry for the broken link. The working link to the PPT file is:
  http://openoffice.org/bugzilla/attachment.cgi?id=48776
Comment 2 Björn Michaelsen 2011-12-23 12:21:32 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 3 Florian Reisinger 2012-08-14 13:58:04 UTC
Dear bug submitter!

Due to the fact, that there are a lot of NEEDINFO bugs with no answer within the last six months, we close all of these bugs.

To keep this message short, more infos are available @ https://wiki.documentfoundation.org/QA/NeedinfoClosure#Statement

Thanks for understanding and hopefully updating your bug, so that everything is prepared for developers to fix your problem.

Yours!

Florian
Comment 4 Florian Reisinger 2012-08-14 13:59:22 UTC
Dear bug submitter!

Due to the fact, that there are a lot of NEEDINFO bugs with no answer within the last six months, we close all of these bugs.

To keep this message short, more infos are available @ https://wiki.documentfoundation.org/QA/NeedinfoClosure#Statement

Thanks for understanding and hopefully updating your bug, so that everything is prepared for developers to fix your problem.

Yours!

Florian
Comment 5 Florian Reisinger 2012-08-14 14:03:57 UTC
Dear bug submitter!

Due to the fact, that there are a lot of NEEDINFO bugs with no answer within the last six months, we close all of these bugs.

To keep this message short, more infos are available @ https://wiki.documentfoundation.org/QA/NeedinfoClosure#Statement

Thanks for understanding and hopefully updating your bug, so that everything is prepared for developers to fix your problem.

Yours!

Florian
Comment 6 Florian Reisinger 2012-08-14 14:06:11 UTC
Dear bug submitter!

Due to the fact, that there are a lot of NEEDINFO bugs with no answer within the last six months, we close all of these bugs.

To keep this message short, more infos are available @ https://wiki.documentfoundation.org/QA/NeedinfoClosure#Statement

Thanks for understanding and hopefully updating your bug, so that everything is prepared for developers to fix your problem.

Yours!

Florian
Comment 7 Tobias Burnus 2012-08-14 14:11:05 UTC
Tested with LibreOffice 3.6.0.4.

The problem is that the black vertical tics of the axis in the plot are too long - stretching over the plot.

Expected as with MS PP (middle image in the screenshot): short tics on the top/bottom top of the plots

Test case:
  https://issues.apache.org/ooo/attachment.cgi?id=48776 (PPT)
Screen shot:
  https://issues.apache.org/ooo/attachment.cgi?id=49017
Comment 8 Florian Reisinger 2012-08-15 06:56:02 UTC
Hi! Could you please upload the file to our bugzilla. It is unavailable in the old place of the Apache bugzilla...
Comment 9 Tobias Burnus 2012-08-15 07:10:37 UTC
Created attachment 65589 [details]
PPT test file

(In reply to comment 8)
> Could you please upload the file to our bugzilla. It is unavailable in the
> old place of the Apache bugzilla...

It is no longer available under the link in the original report (comment 0). However, the links of comment 7 do work.

Nevertheless, I have now attached the test case.
Comment 10 Florian Reisinger 2012-08-15 07:26:46 UTC
Created attachment 65590 [details]
LO 3.6 vs MS Office 2010

Okay, confirmed... (Sorry I have over 200 bugs to check and I am in a hurry...)
Comment 11 bfoman (inactive) 2013-08-16 18:45:21 UTC
Created attachment 84153 [details]
Bug 39711 - 4.2 master screenshot

Confirmed with:
Version: 4.2.0.0.alpha0+
Build ID: 087a610fcd5c0c354a9ed6bfccd3451b667d62a3
TinderBox: Win-x86@6-debug, Branch:master, Time: 2013-08-04_21:41:24
Windows 8.1 Enterprise Preview 64 bit

Pretty much no graphic is imported in master nowadays. See attached screenshot.
All good in Powerpoint 2013.
Comment 12 QA Administrators 2015-04-01 14:40:45 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

   *Test to see if the bug is still present on a currently supported version of LibreOffice (4.4.1 or later)
   https://www.libreoffice.org/download/

   *If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
   *If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

   *Update the version field
   *Reply via email (please reply directly on the bug tracker)
   *Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 
3. Leave a comment with your results. 
4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-04-01
Comment 13 Buovjaga 2015-04-22 13:38:45 UTC
I'm happy to report that the x-axis tics are now OK and so is everything else! WFM.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha0+ (x64)
Build ID: 211c12b9c64facd1c12f637a5229bd6a6feb032a
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-18_01:51:17
Locale: fi_FI